## org.apache.commons.configuration
Interface ConfigurationComparator

All Known Implementing Classes:
  StrictConfigurationComparator

    public interface ConfigurationComparator

Comparator for configurations interface.

Since:
  1.0
Version:
  $Id: ConfigurationComparator.java 1208783 2011-11-30 21:12:45Z oheger $
Author:
  Herve Quiroz

Method Summary
`boolean` `compare(Configuration a, Configuration b)` Compare two configuration objects.

Method Detail

### compare

    boolean compare(Configuration a,
                    Configuration b)

  Compare two configuration objects.

  Parameters:
    `a` - the first configuration
    `b` - the second configuration
  Returns:
    true if the two configurations are identical according to the implemented rules

Copyright © 2001-2012 The Apache Software Foundation. All Rights Reserved.